{{page-title "Add"}}
<div class="input-dialog">
  <div class="input-dialog-head">
    <h3>Add Beneficiary</h3>
  </div>
  <form {{action "submitForm" on="submit"}}>
  <div class="form-group">
    <label for="user_stub">Your ID</label>
    <input type="text" class="form-control" name="user_stub" id="user_stub" aria-describedby="user_stub"
           value={{@model.user.user_stub}} required readonly>
  </div>
  <div class="form-group">
    <label for="email">Beneficiary Email</label>
    <input type="email" class="form-control" name="email" id="email" aria-describedby="email"
           placeholder="Enter Beneficiary email" required>
  </div>
  <div class="alert alert-info" role="alert">
    Note: Bank, IFSC & Account ID for registered users is pre-filled. You don't need to fill it.
  </div>
  <div class="form-group">
    <label for="bank">Bank</label>
    <input type="text" class="form-control" name="bank" id="bank" aria-describedby="bank" placeholder="Enter Bank name" value="BankApp" required>
  </div>
  <div class="form-group">
    <label for="ifsc">IFSC</label>
    <input type="text" class="form-control" name="ifsc" id="ifsc" aria-describedby="ifsc" placeholder="Enter IFSC Code" value="BNKAPP01" required>
  </div>
  <div class="form-group">
    <label for="acct_id">Account ID</label>
    <input type="number" class="form-control" name="acct_id" id="acct_id" aria-describedby="acct_id" placeholder="Enter Account ID" value="100001" required>
  </div>
    <div class="text-center">
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
    {{#if this.errorMessage}}
      <div class="alert alert-danger mt-3" role="alert">
        {{this.errorMessage}}
      </div>
    {{/if}}
  </form>
</div>
